Bug 1672562 - Drop python3-pyaudio dependency
Summary: Drop python3-pyaudio dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-05 10:54 UTC by Pete Walter
Modified: 2019-03-01 23:10 UTC (History)
3 users (show)

Fixed In Version: ibus-typing-booster-2.5.3-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-01 23:10:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Pete Walter 2019-02-05 10:54:33 UTC
ibus-typing-booster 2.5.0 added new Recommends: python3-pyaudio. This is problematic because it pulls in a number of heavy dependencies that are unwanted on a clean Fedora Workstation install, including the jack audio server. Fedora Workstation already has pulseaudio.

As I understand it, the python3-pyaudio dependency is also unnecessary, because it doesn't do anything unless a user manually installs google-cloud-speech from pip (https://mike-fabian.github.io/ibus-typing-booster/documentation.html#speech-recognition). When they do it, they might just as well install python3-pyaudio as well since it won't be working out of the box anyway.

Please drop the Recommends: python3-pyaudio from the packaging. Thanks!

Comment 1 Mike FABIAN 2019-02-11 12:22:54 UTC
OK, I will do that!

Comment 2 Pete Walter 2019-02-12 10:55:14 UTC
Great, thanks!

Comment 3 Fedora Update System 2019-02-20 05:15:49 UTC
ibus-typing-booster-2.5.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ebffc0bae6

Comment 4 Fedora Update System 2019-02-21 01:28:06 UTC
ibus-typing-booster-2.5.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ebffc0bae6

Comment 5 Fedora Update System 2019-03-01 23:10:36 UTC
ibus-typing-booster-2.5.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.